#include <iostream>
using namespace std;
int nadjibr (long long L,long long R,int x, int y,int z,int p)
{
    int a,re=R-L;
    if (R>p)
        R=p;
    for (int i=L;i<=R;i++)
    {
        a=0;
        if (i%x>0)
            a++;
        if (i%y>0)
            a++;
        if (i%z>0)
            a++;
        a=a+((i/x)+(i/y)+(i/z));
        if (a>i)
            re--;
    }
    return ++re;
}
int main ()
{
    long long a,x,y,z,res=0,L,R;
    cin>>x>>y>>z>>L>>R;
    if (y<x)
        swap(x,y);
    if (y>z)
        swap(z,y);
    if (x==2)
    {
        if (y==3)
        {
            switch (z)
            {
            case 4:
            case 5:res=0;break;
            case 6:
                {
                    if (L%6==0)
                        res=(R-L)/6 + 1;
                    else
                        res=R-(L+(6-(L%6)))/6;
                    break;
                }
            case 7:res=nadjibr(L,R,x,y,z,43);break;
            case 8:res=nadjibr(L,R,x,y,z,25);break;
            case 9:res=nadjibr(L,R,x,y,z,19);break;
            case 10:res=nadjibr(L,R,x,y,z,13);break;
            }
        }
        else
            res=nadjibr(L,R,x,y,z,26);
    }
    else if (x>2)
        if (L>2)
            res = R-L+1;
        else
            res = R-L-1;
    cout<<res;
    return 0;
}